# CDDL HEADER START
#
# The contents of this file are subject to the terms of the
# Common Development and Distribution License (the "License").  
# You may not use this file except in compliance with the License.
#
# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
# or http://www.opensolaris.org/os/licensing.
# See the License for the specific language governing permissions
# and limitations under the License.
#
# When distributing Covered Code, include this CDDL HEADER in each
# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
# If applicable, add the following below this CDDL HEADER, with the
# fields enclosed by brackets "[]" replaced with your own identifying
# information: Portions Copyright [yyyy] [name of copyright owner]
#
# CDDL HEADER END
#
#
# Copyright 2005 Sun Microsystems, Inc.  All rights reserved.
# Use is subject to license terms.
#
#ident	"@(#)Makefile.com	1.14	07/01/12 SMI"
#
# lib/librdc/Makefile.com

LIBRARY= librdc.a
VERS= .1

OBJECTS= netaddrs.o rdcerr.o rdcconfig.o rdc_ioctl.o rdcpersist.o rdcrules.o

# include library definitions
include ../../Makefile.lib

MAPFILE=	../common/mapfile-vers
SRCS=		../common/*.c ../../../cmd/ns/rdc/rdc_ioctl.c 

LIBS +=		$(DYNLIB) $(LINTLIB)

# definitions for lint

LINTFLAGS=	-u -I..
LINTFLAGS64=	-u -I.. -D__sparcv9
LINTOUT=	lint.out
LINTOUT_INTER=	lintinter.out

LINTSRC=	$(LINTLIB:%.ln=%)
ROOTLINTDIR=	$(ROOTLIBDIR)
ROOTLINT=	$(LINTSRC:%=$(ROOTLINTDIR)/%)

CLEANFILES += 	$(LINTOUT) $(LINTLIB) $(LINTOUT_INTER) $(LINT_INTER)

CFLAGS +=	-v -mt -I..
CFLAGS64 +=	-v -I..
DYNFLAGS +=	-M $(MAPFILE)
LDLIBS +=	-lsocket -lnsl -lnsctl -lc -lunistat -lthread -ldscfg

$(LINTLIB) :=	SRCS = ../common/llib-lrdc
$(LINTLIB) :=	LINTFLAGS = -nvx
$(LINTLIB) :=	LINTFLAGS64 = -nvx -Xarch=v9

$(LINT_INTER) :=	SRCS += ../common/llib-lrdc

.KEEP_STATE:

lint:		$(LINTLIB)
lintinter:	$(LINT_INTER)

$(DYNLIB):	$(MAPFILE)

# include library targets
include ../../Makefile.targ

objs/%.o pics/%.o: ../common/%.c
	$(COMPILE.c) -o $@ $<
	$(POST_PROCESS_O)

objs/rdc_ioctl.o pics/rdc_ioctl.o: ../../../cmd/ns/rdc/rdc_ioctl.c
	$(COMPILE.c) -o $@ ../../../cmd/ns/rdc/rdc_ioctl.c

# install rule for lint library target
$(ROOTLINTDIR)/%:	../common/%
	$(INS.file)
